aboutsummaryrefslogtreecommitdiffhomepage
path: root/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
index c967121..9f90e30 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -25,6 +25,12 @@ mkdir -p $dest
# 2. build our software
+if ! [ -d "$HOME/.cabal/config" ]; then
+ mkcabalc
+fi
+if ! [ -d "$HOME/.cabal/packages" ]; then
+ cabal update
+fi
if ! [ -d ".cabal-sandbox" ]; then
cabal sandbox init
fi